# Business Connections

Set up - Business Connections

## Connect a business

 - [POST /business-connections/{directoryType}/connect/{businessId}](https://docs.uberall.com/apis/swagger/business-connections/post_business_connections_directorytype_connect_businessid.md): Creates a business connection between the business and the external entity on directory (e.g. brand page for FB)

## Count of connections

 - [GET /business-connections/{directoryType}/sales-partner/{salesPartnerId}/count](https://docs.uberall.com/apis/swagger/business-connections/get_business_connections_directorytype_sales_partner_salespartnerid_count.md): Get number of all business connections created under given salesPartner

## Disconnect a business

 - [PUT /business-connections/{directoryType}/disconnect/{businessId}](https://docs.uberall.com/apis/swagger/business-connections/put_business_connections_directorytype_disconnect_businessid.md): Deletes or disconnects the current business connection

## Check account connections for missing permissions

 - [GET /business-connections/{directoryType}/sales-partner/{salesPartnerId}/accounts-connections-check](https://docs.uberall.com/apis/swagger/business-connections/get_business_connections_directorytype_sales_partner_salespartnerid_accounts_connections_check.md): Returns directory user accounts for a sales partner with information about whether each account requires user action (re-authentication or missing permissions).

## List of external entities

 - [GET /business-connections/{directoryType}/sales-partner/{salesPartnerId}/pages](https://docs.uberall.com/apis/swagger/business-connections/get_business_connections_directorytype_sales_partner_salespartnerid_pages.md): Get list of all the external entities on directories that correspond to all connected accounts on given salesPartner (e.g. brand pages list for FB of all the accounts that have been authenticated under sp)

## List all external entities

 - [GET /business-connections/{directoryType}/sales-partner/{salesPartnerId}/account/{accountId}/pages](https://docs.uberall.com/apis/swagger/business-connections/get_business_connections_directorytype_sales_partner_salespartnerid_account_accountid_pages.md): Get list of all the external entities on directories on given salesPartner that correspond to specified account.

## List of all directory user accounts connected to sales partner

 - [GET /business-connections/{directoryType}/sales-partner/{salesPartnerId}/users](https://docs.uberall.com/apis/swagger/business-connections/get_business_connections_directorytype_sales_partner_salespartnerid_users.md): Get list of all the directory user accounts that correspond to all connected accounts
                        on given salesPartner (e.g. list of all the accounts that have been authenticated under sp)

## Get business connections by directory type

 - [GET /business-connections/{directoryType}](https://docs.uberall.com/apis/swagger/business-connections/get_business_connections_directorytype.md): Retrieves a list of businesses and their connection types for a specific directory type. Returns up to 50 entries that match the optional filter criteria.

## List of business connections

 - [GET /business-connections/{directoryType}/sales-partner/{salesPartnerId}/list](https://docs.uberall.com/apis/swagger/business-connections/get_business_connections_directorytype_sales_partner_salespartnerid_list.md): Get detailed list of business connections created under given salesPartner

